Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class Characters

    java.lang.Object
      org.openxri.Characters

    public class Characters

extends java.lang.Object

This class provides utility methods for parsing XRIs

Author:
  =chetan

Field Summary
`static com.ibm.icu.text.UnicodeSet` | `IPCHAR`
`static com.ibm.icu.text.UnicodeSet` | `IUNRESERVED`
`static java.lang.String` | `SUB_DELIMS`
`static com.ibm.icu.text.UnicodeSet` | `UCSCHAR`
`static com.ibm.icu.text.UnicodeSet` | `XRI_PCHAR`
`static java.lang.String` | `XRI_SUB_DELIMS`

Constructor Summary
`Characters()`

Method Summary
`static boolean` | `isIPChar(int c)` Determines if this character is a valid ipchar (iunreserved/pct-encoded/sub-delims/":"/"@").
`static boolean` | `isPChar(int c)` Determines if this character is a valid xri-pchar

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UCSCHAR

    public static final com.ibm.icu.text.UnicodeSet UCSCHAR

### IUNRESERVED

    public static final com.ibm.icu.text.UnicodeSet IUNRESERVED

### IPCHAR

    public static final com.ibm.icu.text.UnicodeSet IPCHAR

### XRI_PCHAR

    public static final com.ibm.icu.text.UnicodeSet XRI_PCHAR

### XRI_SUB_DELIMS

    public static final java.lang.String XRI_SUB_DELIMS

See Also:
  Constant Field Values

### SUB_DELIMS

    public static final java.lang.String SUB_DELIMS

See Also:
  Constant Field Values

Constructor Detail

### Characters

    public Characters()

Method Detail

### isPChar

    public static boolean isPChar(int c)

  Determines if this character is a valid xri-pchar

  Parameters:
    `c` - The char to examine

### isIPChar

    public static boolean isIPChar(int c)

  Determines if this character is a valid ipchar (iunreserved/pct-encoded/sub-delims/":"/"@"). Note: This does not check for pct-encoded characters

  Parameters:
    `c` - The char to examine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.